﻿using UnityEngine;
using UnityEngine.SceneManagement;

namespace Passer {

    public class MouseCursor : MonoBehaviour {

        public bool shown = true;

        protected void Start() {
            //Cursor.lockState = CursorLockMode.None;
            UnityEngine.SceneManagement.SceneManager.sceneLoaded += OnSceneLoad;
        }

        protected void ShowMousePointer(bool showCursor) {
            shown = showCursor;
        }

        protected void Update() {
            Cursor.visible = shown;
        }

        private void OnSceneLoad(Scene scene, LoadSceneMode mode) {
#if UNITY_6000_0_OR_NEWER
            Canvas[] canvases = FindObjectsByType<Canvas>(FindObjectsSortMode.None);
#else
            Canvas[] canvases = FindObjectsOfType<Canvas>();
#endif
            foreach (Canvas canvas in canvases)
                canvas.worldCamera = Camera.main;
        }
    }
}